Subject: Re: bug#49270: 28.0.50: native-comp: macOS self-contained .app does not use bundled *.eln files

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jun 2021 21:11:58 +0300

> From: Jim Myhrberg <[email-masked]>
> Date: Tue, 29 Jun 2021 12:51:48 +0100
> 
> When performing a self-contained Emacs.app build, *.eln files for
> Emacs' built-in lisp files stored within the Emacs.app bundle are not
> used.
> 
> I believe commit 5dd2d50 which moved *.eln files and various paths
> around a bit for macOS builds, has re-introduced an old bug from last
> year. Basically the checksums that makes up part of the *.eln file
> names uses the absolute path of the .el file in question, but for self
> contained .app builds it needs to just use the relative path to the
> app itself.

That's not (exactly) how this stuff is supposed to work, AFAIR, not
after the recent changes.  Please look at the code and the comments in
comp.c:comp-el-to-eln-rel-filename, and tell if you understand why
this isn't working for you.